haskelldb-2.2.2: A library of combinators for generating and executing SQL statements.

Portability | non-portable
Stability | experimental
Maintainer | haskelldb-users@lists.sourceforge.net
Safe Haskell | None

Database.HaskellDB.DBSpec.PPHelpers

Description

Various functions used when pretty printing stuff

Synopsis

- newline :: Doc
- ppComment :: [[Char]] -> Doc
- fileName :: [Char] -> [Char]
- data MakeIdentifiers = MakeIdentifiers {
  - moduleName :: String -> String
  - identifier :: String -> String
  - toType :: String -> String
  }
- mkIdentPreserving :: MakeIdentifiers
- mkIdentCamelCase :: MakeIdentifiers
- toLowerCamelCase :: [Char] -> [Char]
- toUpperCamelCase :: [Char] -> [Char]
- split :: Eq a => (a -> Bool) -> [a] -> [[a]]
- checkChars :: [Char] -> [Char]
- checkKeyword :: [Char] -> [Char]
- checkUpper :: [Char] -> [Char]
- checkLower :: [Char] -> [Char]
- checkUpperDef :: Char -> [Char] -> [Char]
- checkLowerDef :: Char -> [Char] -> [Char]

# Documentation

newline :: Doc Source

ppComment :: [[Char]] -> Doc Source

fileName :: [Char] -> [Char]Source

data MakeIdentifiers Source

Constructors

MakeIdentifiers |

Fields

moduleName :: String -> String
identifier :: String -> String
toType :: String -> String

mkIdentPreserving :: MakeIdentifiers Source

mkIdentCamelCase :: MakeIdentifiers Source

toLowerCamelCase :: [Char] -> [Char]Source

toUpperCamelCase :: [Char] -> [Char]Source

split :: Eq a => (a -> Bool) -> [a] -> [[a]]Source

Generalization of `words` and `lines` to any separating character set.

checkChars :: [Char] -> [Char]Source

checkKeyword :: [Char] -> [Char]Source

checkUpper :: [Char] -> [Char]Source

checkLower :: [Char] -> [Char]Source

checkUpperDef :: Char -> [Char] -> [Char]Source

checkLowerDef :: Char -> [Char] -> [Char]Source